Page MenuHomePhabricator

Disable Wikidata sitelinks in ProofreadPage namespaces
Closed, ResolvedPublicRequest

Description

The Wikidata notability policy disallows sitelinks to Page and Index namespaces, however, they are not disabled at software level, which makes Special:UnconnectedPages polluted. Please disable Wikidata stielinks pointing to the following namespaces:

InitialiseSettings.php
'wgProofreadPageNamespaceIds' => [
	'default' => [
		'page' => 250,
		'index' => 252
	],
	'test2wiki' => [
		'page' => 104,
		'index' => 106
	],
	'sourceswiki' => [
		'page' => 104,
		'index' => 106,
	],
	'enwikisource' => [
		'page' => 104,
		'index' => 106,
	],
	'arwikisource' => [
		'page' => 104,
		'index' => 106,
	],
	'aswikisource' => [ // T45129
		'page' => 104,
		'index' => 106,
	],
	'bewikisource' => [
		'page' => 104,
		'index' => 106,
	],
	'bnwikisource' => [
		'page' => 104,
		'index' => 102,
	],
	'brwikisource' => [
		'page' => 102,
		'index' => 100,
	],
	'cawikisource' => [
		'page' => 102,
		'index' => 104,
	],
	'cywikisource' => [
		'page' => 104,
		'index' => 106,
	],
	'dawikisource' => [
		'page' => 104,
		'index' => 106,
	],
	'dewikisource' => [
		'page' => 102,
		'index' => 104,
	],
	'elwikisource' => [
		'page' => 100,
		'index' => 102,
	],
	'eowikisource' => [
		'page' => 104,
		'index' => 106,
	],
	'eswikisource' => [
		'page' => 102,
		'index' => 104,
	],
	'etwikisource' => [
		'page' => 102,
		'index' => 104,
	],
	'fawikisource' => [
		'page' => 104,
		'index' => 106,
	],
	'frwikisource' => [
		'page' => 104,
		'index' => 112,
	],
	'frrwiki' => [
		'page' => 102,
		'index' => 104
	],
	'guwikisource' => [
		'page' => 104,
		'index' => 106
	],
	'hewikisource' => [
		'page' => 104,
		'index' => 112,
	],
	'hrwikisource' => [
		'page' => 102,
		'index' => 104,
	],
	'huwikisource' => [
		'page' => 104,
		'index' => 106,
	],
	'hywikisource' => [
		'page' => 104,
		'index' => 106,
	],
	'idwikisource' => [
		'page' => 104,
		'index' => 102,
	],
	'itwikisource' => [
		'page' => 108,
		'index' => 110,
	],
	'knwikisource' => [
		'page' => 104,
		'index' => 106,
	],
	'lawikisource' => [
		'page' => 104,
		'index' => 106,
	],
	'mlwikisource' => [
		'page' => 106,
		'index' => 104,
	],
	'mrwikisource' => [
		'page' => 104,
		'index' => 106,
	],
	'nlwikisource' => [
		'page' => 104,
		'index' => 106
	],
	'nowikisource' => [
		'page' => 104,
		'index' => 106
	],
	'plwikisource' => [
		'page' => 100,
		'index' => 102,
	],
	'pmswikisource' => [
		'page' => 102,
		'index' => 104,
	],
	'ptwikisource' => [
		'page' => 106,
		'index' => 104,
	],
	'rowikisource' => [
		'page' => 104,
		'index' => 106,
	],
	'ruwikisource' => [
		'page' => 104,
		'index' => 106,
	],
	'sawikisource' => [
		'page' => 104,
		'index' => 106,
	],
	'slwikisource' => [
		'page' => 100,
		'index' => 104,
	],

	'svwikisource' => [
		'page' => 104,
		'index' => 108,
	],
	'tewikisource' => [
		'page' => 104,
		'index' => 106,
	],
	'vecwikisource' => [
		'page' => 102,
		'index' => 104,
	],
	'viwikisource' => [
		'page' => 104,
		'index' => 106,
	],
	'zhwikisource' => [
		'page' => 104,
		'index' => 106,
	],
],

Event Timeline

Restricted Application added subscribers: jeblad, Cosine02, Aklapper. · View Herald TranscriptJul 3 2019, 3:20 PM

Change 520780 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[operations/mediawiki-config@master] Disable Wikidata for ProofreadPage namespaces

https://gerrit.wikimedia.org/r/520780

That can in at Monday. No deploy at Friday :(

Change 520780 merged by jenkins-bot:
[operations/mediawiki-config@master] Disable Wikidata for ProofreadPage namespaces

https://gerrit.wikimedia.org/r/520780

Mentioned in SAL (#wikimedia-operations) [2019-07-08T11:22:26Z] <ladsgroup@deploy1001> Synchronized wmf-config/Wikibase.php: [[gerrit:520780|Disable Wikidata for ProofreadPage namespaces (T227201)]] (duration: 00m 50s)

Tacsipacsi closed this task as Resolved.Jul 8 2019, 2:20 PM

Thanks for the quick and elegant patch!